Package org.apache.lucene.queryparser.xml.builders

# Class FuzzyLikeThisQueryBuilder

java.lang.Object
org.apache.lucene.queryparser.xml.builders.FuzzyLikeThisQueryBuilder

All Implemented Interfaces:
  `QueryBuilder`

public class FuzzyLikeThisQueryBuilder extends Object implements QueryBuilder
Builder for `FuzzyLikeThisQuery`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FuzzyLikeThisQueryBuilder(Analyzer analyzer)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Query`
  `getQuery(Element e)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FuzzyLikeThisQueryBuilder

    public FuzzyLikeThisQueryBuilder(Analyzer analyzer)

- ## Method Details

  - ### getQuery

    public Query getQuery(Element e) throws ParserException
    Specified by:
      `getQuery` in interface `QueryBuilder`
    Throws:
      `ParserException`